public static interface AS2EndpointBuilderFactory.AS2Builders
| Modifier and Type | Method and Description |
|---|---|
default AS2EndpointBuilderFactory.AS2EndpointBuilder |
as2(String path)
AS2 (camel-as2)
Transfer data securely and reliably using the AS2 protocol (RFC4130).
|
default AS2EndpointBuilderFactory.AS2EndpointBuilder |
as2(String componentName,
String path)
AS2 (camel-as2)
Transfer data securely and reliably using the AS2 protocol (RFC4130).
|
default AS2EndpointBuilderFactory.AS2EndpointBuilder as2(String path)
as2:apiName/methodName
Path parameter: apiName (required)
What kind of operation to perform
There are 2 enums and the value can be one of: CLIENT, SERVER
Path parameter: methodName (required)
What sub operation to use for the selected operationpath - apiName/methodNamedefault AS2EndpointBuilderFactory.AS2EndpointBuilder as2(String componentName, String path)
as2:apiName/methodName
Path parameter: apiName (required)
What kind of operation to perform
There are 2 enums and the value can be one of: CLIENT, SERVER
Path parameter: methodName (required)
What sub operation to use for the selected operationcomponentName - to use a custom component name for the endpoint
instead of the default namepath - apiName/methodNameApache Camel